Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.explorer.propertysheet.editors
Interface EnhancedPropertyEditor

All Superinterfaces:
  PropertyEditor

Deprecated. Instead of this class, implement ExPropertyEditor and InplaceEditor.Factory. Also create an implementation of InplaceEditor for the custom inline editor. In the `attachEnv()` method of your ExPropertyEditor, call `PropertyEnv.registerInplaceEditorFactory(this)`.

Before you do any of this read the prose documentation on the Explorer API and be sure you cannot do what you need with an existing property editor - it is very rare to actually need to provide a custom editor component.

    public interface EnhancedPropertyEditor

extends PropertyEditor

Enhances standard property editor to support in-place custom editors and tagged values. Use of this class is strongly discouraged - the original NetBeans property sheet did not specify a strong contract for when the property should be updated from an editor such as the custom inplace editor this interface allows you to provide. The new (NetBeans 4.0 and later) property sheet does specify such a contract, and the InplaceEditor interface exists to allow it to be fulfilled.

See Also:
  `InplaceEditor`, `InplaceEditor.Factory`, `PropertyEnv`

Method Summary
`Component` | `getInPlaceCustomEditor()` Deprecated. Get an in-place editor.
`boolean` | `hasInPlaceCustomEditor()` Deprecated. Test for support of in-place custom editors.
`boolean` | `supportsEditingTaggedValues()` Deprecated. Test for support of editing of tagged values.

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getAsText, getCustomEditor, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setValue, supportsCustomEditor`

Method Detail

### getInPlaceCustomEditor

    Component getInPlaceCustomEditor()

  Deprecated.
  Get an in-place editor.

  Returns:
    a custom property editor to be shown inside the property sheet

### hasInPlaceCustomEditor

    boolean hasInPlaceCustomEditor()

  Deprecated.
  Test for support of in-place custom editors.

  Returns:
    `true` if supported

### supportsEditingTaggedValues

    boolean supportsEditingTaggedValues()

  Deprecated.
  Test for support of editing of tagged values. Must also accept custom strings, otherwise you may may specify a standard property editor accepting only tagged values.

  Returns:
    `true` if supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.